AntiFeatures:
  - NonFreeNet
Categories:
  - Multimedia
  - Internet
License: GPL-3.0-or-later
AuthorName: Team NewPipe
AuthorEmail: tnp@schabi.org
WebSite: https://newpipe.net
SourceCode: https://github.com/TeamNewPipe/NewPipe
IssueTracker: https://github.com/TeamNewPipe/NewPipe/issues
Translation: https://hosted.weblate.org/projects/newpipe/
Changelog: https://github.com/TeamNewPipe/NewPipe/releases
Donate: https://newpipe.net/donate
LiberapayID: '34969'
Bitcoin: 16A9J59ahMRqkLSZjhYj33n9j3fMztFxnh

AutoName: NewPipe

RepoType: git
Repo: https://github.com/TeamNewPipe/NewPipe

Builds:
  - versionName: '0.3'
    versionCode: 1
    commit: v0.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.3.5
    versionCode: 2
    commit: d3cc5185290ff41e901cb0d55f0e4a0a52712159
    subdir: app
    gradle:
      - yes

  - versionName: 0.4.1
    versionCode: 4
    commit: v0.4.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.5.0
    versionCode: 5
    commit: v0.5.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.0
    versionCode: 6
    commit: v0.6.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.1
    versionCode: 7
    commit: v0.6.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.2
    versionCode: 8
    commit: v0.6.2
    subdir: app
    gradle:
      - yes

  - versionName: 0.7.0
    versionCode: 9
    commit: v0.7.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.7.1
    versionCode: 10
    commit: v0.7.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.7.2
    versionCode: 11
    commit: v0.7.2
    subdir: app
    gradle:
      - yes

  - versionName: 0.7.3
    versionCode: 12
    commit: v0.7.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.7.4
    versionCode: 13
    commit: v0.7.4
    subdir: app
    gradle:
      - yes

  - versionName: 0.7.5
    versionCode: 14
    commit: v0.7.5
    subdir: app
    gradle:
      - yes

  - versionName: 0.7.6
    versionCode: 15
    commit: v0.7.6
    subdir: app
    gradle:
      - yes

  - versionName: 0.7.7
    versionCode: 16
    disable: broken native code in lib/
    commit: v0.7.7
    subdir: app
    gradle:
      - yes

  - versionName: 0.7.8
    versionCode: 17
    commit: v0.7.8
    subdir: app
    gradle:
      - yes

  - versionName: 0.8.0
    versionCode: 18
    commit: v0.8.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.8.5
    versionCode: 19
    commit: v0.8.5
    subdir: app
    gradle:
      - yes

  - versionName: 0.8.6
    versionCode: 20
    commit: v0.8.6
    subdir: app
    gradle:
      - yes

  - versionName: 0.8.7
    versionCode: 21
    commit: v0.8.7
    subdir: app
    gradle:
      - yes

  - versionName: 0.8.8
    versionCode: 22
    commit: v0.8.8
    subdir: app
    gradle:
      - yes

  - versionName: 0.8.9
    versionCode: 23
    commit: v0.8.9
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/com.android.support/s/25.1.1/25.1.0/g' build.gradle

  - versionName: 0.8.10
    versionCode: 24
    commit: v0.8.10
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/com.android.support/s/25.1.1/25.1.0/g' build.gradle

  - versionName: 0.8.11
    versionCode: 25
    commit: v0.8.11
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.8.12
    versionCode: 26
    commit: v0.8.12
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.0
    versionCode: 27
    commit: v0.9.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.1
    versionCode: 28
    commit: v0.9.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.2
    versionCode: 29
    commit: v0.9.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.3
    versionCode: 30
    commit: v0.9.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.4
    versionCode: 31
    commit: v0.9.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.5
    versionCode: 32
    commit: v0.9.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.6
    versionCode: 33
    commit: v0.9.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.7
    versionCode: 34
    commit: v0.9.7
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.8
    versionCode: 35
    commit: v0.9.8
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.9
    versionCode: 36
    commit: v0.9.9
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.10
    versionCode: 37
    commit: v0.9.10
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.10.0
    versionCode: 38
    commit: v0.10.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.10.1
    versionCode: 39
    commit: v0.10.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.10.2
    versionCode: 40
    commit: v0.10.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.11.0
    versionCode: 41
    commit: v0.11.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.11.1
    versionCode: 42
    commit: v0.11.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.11.2
    versionCode: 43
    commit: v0.11.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.11.3
    versionCode: 44
    commit: v0.11.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.11.4
    versionCode: 45
    commit: v0.11.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.11.5
    versionCode: 46
    commit: v0.11.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.11.6
    versionCode: 47
    commit: v0.11.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.13.1
    versionCode: 60
    commit: v0.13.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.13.2
    versionCode: 61
    commit: v0.13.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.13.3
    versionCode: 62
    commit: v0.13.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.13.4
    versionCode: 63
    commit: v0.13.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.13.5
    versionCode: 64
    commit: v0.13.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.13.6
    versionCode: 65
    commit: v0.13.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.13.7
    versionCode: 66
    commit: v0.13.7
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.14.0
    versionCode: 67
    commit: v0.14.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.14.1
    versionCode: 68
    commit: v0.14.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.14.2
    versionCode: 69
    commit: v0.14.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.15.0
    versionCode: 70
    commit: v0.15.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.15.1
    versionCode: 71
    commit: v0.15.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.16.0
    versionCode: 720
    commit: v0.16.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.16.1
    versionCode: 730
    commit: v0.16.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.16.2
    versionCode: 740
    commit: v0.16.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.17.1
    versionCode: 760
    commit: v0.17.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.17.2
    versionCode: 770
    commit: v0.17.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.17.3
    versionCode: 780
    commit: v0.17.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.17.4
    versionCode: 790
    commit: v0.17.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.0
    versionCode: 800
    commit: v0.18.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.1
    versionCode: 810
    commit: v0.18.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.2
    versionCode: 820
    commit: v0.18.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.3
    versionCode: 830
    commit: v0.18.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.4
    versionCode: 840
    commit: v0.18.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.6
    versionCode: 860
    commit: v0.18.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.7
    versionCode: 870
    commit: v0.18.7
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.1
    versionCode: 910
    commit: v0.19.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.2
    versionCode: 920
    commit: v0.19.2
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo -e '\n' 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 0.19.3
    versionCode: 930
    commit: v0.19.3
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo -e '\n' 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 0.19.4
    versionCode: 940
    commit: v0.19.4
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo -e '\n' 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 0.19.5
    versionCode: 950
    commit: v0.19.5
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: echo -e '\n' 'org.gradle.jvmargs=-Xmx1g' >> ../gradle.properties

  - versionName: 0.19.6
    versionCode: 951
    commit: v0.19.6
    subdir: app
    gradle:
      - yes

  - versionName: 0.19.8
    versionCode: 953
    commit: v0.19.8
    subdir: app
    gradle:
      - yes

  - versionName: 0.20.0
    versionCode: 954
    commit: v0.20.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.20.1
    versionCode: 955
    commit: v0.20.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.20.5
    versionCode: 959
    disable: verification is broken, see fdroid/fdroidserver#797
    commit: v0.20.5
    subdir: app
    gradle:
      - yes

  - versionName: 0.20.6
    versionCode: 960
    disable: signing of reproducible builds is broken
    commit: v0.20.6
    subdir: app
    gradle:
      - yes

  - versionName: 0.20.11
    versionCode: 965
    commit: v0.20.11
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.0
    versionCode: 966
    commit: v0.21.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.1
    versionCode: 967
    commit: v0.21.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.2
    versionCode: 968
    commit: v0.21.2
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.3
    versionCode: 969
    commit: v0.21.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.4
    versionCode: 970
    commit: v0.21.4
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.5
    versionCode: 971
    commit: a98c0bdec7aa42c2b590293d920282e6b361ba4b
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.6
    versionCode: 972
    commit: b795c5f0171853d2626e6eba38af51559be44cdc
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.7
    versionCode: 973
    commit: b58f7856a14b01b9721d53560d0949252be764a1
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.8
    versionCode: 974
    commit: 8f6d608a43d4efdf7655e27d5c4d8e390293111e
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.9
    versionCode: 975
    commit: 94b4c76749a1ecadcd7ecaecb6633d5101b14541
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.10
    versionCode: 976
    commit: ba6fdecbae6ea8dccd9fa8bfaaaf94a95ee7028b
    subdir: app
    gradle:
      - yes

  - versionName: 0.21.12
    versionCode: 978
    commit: 7eb13a9b930c6d88000cf92426a9196436172147
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 0.21.13
    versionCode: 979
    commit: 0ae04b8ead565631dc3e55b42c675f367505ee3f
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 0.21.14
    versionCode: 980
    commit: 3750561b4d1fd63fef643ad6e95df488c2e46e7d
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 0.21.15
    versionCode: 981
    commit: ff8868f6a3de2f8885c0a02fb906c9f98c186144
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 0.21.16
    versionCode: 982
    commit: 4e633504a82fd9f6c311b658907948130d1a7e6b
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 0.22.0
    versionCode: 983
    commit: 7ae908a4662398fee2ea7882c4004ba22c2761be
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - doc

  - versionName: 0.22.1
    versionCode: 984
    commit: 47f9ed08e94e5f6bdb77c9344ac41ad62a32a4f0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - doc

  - versionName: 0.22.2
    versionCode: 985
    commit: 53a659c0cf294e3711225ef8d48c6ed6c1465f79
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - doc

  - versionName: 0.23.0
    versionCode: 986
    commit: ecb8ef6bb1806c44df76ecae09a611b35ab51201
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    rm:
      - doc

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags .*[0-9]$
CurrentVersion: 0.23.0
CurrentVersionCode: 986
